Loading...
Searching...
No Matches
casacore::CompareNoCase Class Reference
casa package (libcasa_casa) » Utilities_module

Case-insensitive string comparison class. More...

`#include <Compare.h>`

## Public Member Functions

virtual | ~CompareNoCase ()
virtual int | comp (const void *obj1, const void *obj2) const
| Compare the left and right string value in a case-insensitive way.
Public Member Functions inherited from casacore::BaseCompare
virtual | ~BaseCompare ()
virtual DataType | dataType () const
| Get the data type of a straight-forward sort comparison in ObjCompare.

## Detailed Description

Case-insensitive string comparison class.

### Intended use:

Public interface

### Review Status

Test programs:
  tTableIter

### Synopsis

This class is meant for an case-insensitive comparison in a sort or table iteration.

Definition at line 189 of file Compare.h.

## Constructor & Destructor Documentation

## ~CompareNoCase()

virtual casacore::CompareNoCase::~CompareNoCase | ( |  | ) |

virtual

## Member Function Documentation

## comp()

virtual int casacore::CompareNoCase::comp | ( | const void * | obj1,
|  | const void * | obj2 ) const

virtual

Compare the left and right string value in a case-insensitive way.

Implements casacore::BaseCompare.

The documentation for this class was generated from the following file:

- casa/Utilities/Compare.h